<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: PlayerServer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classPlayerServer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PlayerServer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PlayerServer:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerServer__inherit__graph.png" border="0" usemap="#aPlayerServer_inherit__map" alt="Inheritance graph"/></div>
<map name="aPlayerServer_inherit__map" id="aPlayerServer_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,111,107"/>
<area shape="rect" title=" " alt="" coords="21,5,95,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for PlayerServer:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerServer__coll__graph.png" border="0" usemap="#aPlayerServer_coll__map" alt="Collaboration graph"/></div>
<map name="aPlayerServer_coll__map" id="aPlayerServer_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,111,107"/>
<area shape="rect" title=" " alt="" coords="21,5,95,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:aa39d037fef0b1ff29b042fc922274a8b"><td class="memItemLeft" align="right" valign="top"><a id="aa39d037fef0b1ff29b042fc922274a8b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onNewConection</b> ()</td></tr>
<tr class="separator:aa39d037fef0b1ff29b042fc922274a8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e386d1848c2640f93e84b0b9d55bf3"><td class="memItemLeft" align="right" valign="top"><a id="a75e386d1848c2640f93e84b0b9d55bf3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onReadyRead</b> ()</td></tr>
<tr class="separator:a75e386d1848c2640f93e84b0b9d55bf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b97dcd207ef440e23d5dc84078c42e7"><td class="memItemLeft" align="right" valign="top"><a id="a0b97dcd207ef440e23d5dc84078c42e7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onDisconnect</b> ()</td></tr>
<tr class="separator:a0b97dcd207ef440e23d5dc84078c42e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a33aa27064cd71b82c82e0048c7ecc547"><td class="memItemLeft" align="right" valign="top"><a id="a33aa27064cd71b82c82e0048c7ecc547"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>PlayerServer</b> (QObject *parent=nullptr)</td></tr>
<tr class="separator:a33aa27064cd71b82c82e0048c7ecc547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cef2f836d32dc9f7655d94985600b93"><td class="memItemLeft" align="right" valign="top"><a id="a3cef2f836d32dc9f7655d94985600b93"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>startServer</b> ()</td></tr>
<tr class="separator:a3cef2f836d32dc9f7655d94985600b93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d322d849d59e026b3d5922113924d2f"><td class="memItemLeft" align="right" valign="top"><a id="a7d322d849d59e026b3d5922113924d2f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>sendMessage</b> (QTcpSocket *soc, QString message)</td></tr>
<tr class="separator:a7d322d849d59e026b3d5922113924d2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5598fd1e282e5d10e0196041eeaaec33"><td class="memItemLeft" align="right" valign="top"><a id="a5598fd1e282e5d10e0196041eeaaec33"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>findSocketIndex</b> (QTcpSocket *)</td></tr>
<tr class="separator:a5598fd1e282e5d10e0196041eeaaec33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/server/<a class="el" href="playerserver_8h_source.html">playerserver.h</a></li>
<li>src/server/playerserver.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
